/* 
/*******************************************************************************
 * Copyright (C) 2024 Secretaría General de la Administración Digital, Gobierno de España
 * This program is licensed and may be used, modified and redistributed under the  terms
 * of the European Public License (EUPL), either version 1.1 or (at your option)
 * any later version as soon as they are approved by the European Commission.
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and
 * more details.
 * You should have received a copy of the EUPL1.1 license
 * along with this program; if not, you may find it at
 * http:joinup.ec.europa.eu/software/page/eupl/licence-eupl
 ******************************************************************************/

/** 
 * <b>File:</b><p>es.clave.SP2.RequestSAML.java.</p>
 * <b>Description:</b><p>Class with the variables used in the SAML Request.</p>
 * <b>Project:</b><p>Citizen identification and authentication platform.</p>
 * <b>Date:</b><p>03/10/2024.</p>
 * @author Gobierno de España.
 * @version 1.0, 03/10/2024.
 */
package es.clave.SP2;

/** 
 * <p>Class with the variables used in the SAML Request.</p>
 * <b>Project:</b><p>Citizen identification and authentication platform.</p>
 * @version 1.0, 03/10/2024.
 */
public class RequestSAML {

    private String providerName;
    private String url;
    private String returnURL;
    private String application;
    private boolean forceCheck;
    private String eidasloa;
    private String nameIDPolicy;
    private boolean afirmaCheck;
    private boolean gissCheck;
    private boolean aeatCheck;
    private boolean eidasCheck;
    private boolean mobileCheck;
    private String relayState;
    private String SAMLRequest;
    private String logoutRequest;

    public String getProviderName() {
        return providerName;
    }

    public void setProviderName(String providerName) {
        this.providerName = providerName;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getReturnURL() {
        return returnURL;
    }

    public void setReturnURL(String returnURL) {
        this.returnURL = returnURL;
    }

    public String getApplication() {
        return application;
    }

    public void setApplication(String application) {
        this.application = application;
    }

    public boolean getForceCheck() {
        return forceCheck;
    }

    public void setForceCheck(boolean forceCheck) {
        this.forceCheck = forceCheck;
    }

    public String getEidasloa() {
        return eidasloa;
    }

    public void setEidasloa(String eidasloa) {
        this.eidasloa = eidasloa;
    }

    public String getNameIDPolicy() {
        return nameIDPolicy;
    }

    public void setNameIDPolicy(String nameIDPolicy) {
        this.nameIDPolicy = nameIDPolicy;
    }

    public boolean getAfirmaCheck() {
        return afirmaCheck;
    }

    public void setAfirmaCheck(boolean afirmaCheck) {
        this.afirmaCheck = afirmaCheck;
    }

    public boolean getGissCheck() {
        return gissCheck;
    }

    public void setGissCheck(boolean gissCheck) {
        this.gissCheck = gissCheck;
    }

    public boolean getAeatCheck() {
        return aeatCheck;
    }

    public void setAeatCheck(boolean aeatCheck) {
        this.aeatCheck = aeatCheck;
    }

    public boolean getEidasCheck() {
        return eidasCheck;
    }

    public void setEidasCheck(boolean eidasCheck) {
        this.eidasCheck = eidasCheck;
    }

    public boolean getMobileCheck() {
        return mobileCheck;
    }

    public void setMobileCheck(boolean mobileCheck) {
        this.mobileCheck = mobileCheck;
    }

    public String getRelayState() {
        return relayState;
    }

    public void setRelayState(String relayState) {
        this.relayState = relayState;
    }

    public String getSAMLRequest() {
        return SAMLRequest;
    }

    public void setSAMLRequest(String SAMLRequest) {
        this.SAMLRequest = SAMLRequest;
    }

    public String getLogoutRequest() {
        return logoutRequest;
    }

    public void setLogoutRequest(String logoutRequest) {
        this.logoutRequest = logoutRequest;
    }
}
